<?php
/**
 * @package FBTrafficJacker 
 * @author FBTrafficJacker
 * @version 1.0.2
 */
/*
Plugin Name: FBTrafficJacker 
Plugin URI: http://nicheology.com
Description: The Easy Way To Boost Your Traffic
Author: FBTrafficJacker
Version: 1.0.2
Author URI: http://nicheology.com 
*/
/*
The plugin uses the functionality from following GPL and/or MIT licensed (or otherwise stated) open source files
Author Eric Martin - Jquery Simplemodal box plugin
Author Keith Wood - Jquery Count Down functionality
*/

//Some Configuration URLs

$fbtraffic_jack_version = "1.0.2";
define("FBTJ_PATH", rtrim(dirname(__FILE__), "/"));
define("FBTJ_POPUP_TEMPLATE_FILE", FBTJ_PATH . "/fb-traffic-jacker-popup-template.php");

define("FBTJ_WPATH", plugins_url() . '/fbtj/');
define("FBTJ_WPATH_CSS", plugins_url() . '/fbtj/css/');
define("FBTJ_WPATH_JS", plugins_url() . '/fbtj/js/');
define("FBTJ_WPATH_IMG", plugins_url() . '/fbtj/img/');

$ARR_LANG_WAIT = array(
"en"=> "Or wait",
"fr"=> "Ou attendre",
"de"=> "Order warten",
"it"=> "O attendere",
"es"=> "O esperar"
);

// seconds string
$ARR_LANG_SECONDS = array(
"en"=> "Seconds",
"fr"=> "Secondes",
"de"=> "Sekunden",
"it"=> "Secondi",
"es"=> "Segundos"
);

$ARR_LANG_CLOSEBUTTON= array (
"en"=> "Close",
"fr"=> "Fermer",
"de"=> "N&auml;he",
"it"=> "Chiudi",
"es"=> "Cerrar"
);

$ARR_LANG = array(
"en"=>"English",
"fr"=>"French",
"de"=>"German",
"it"=>"Italian",
"es"=>"Spanish"
); 

$ARR_LANG_FB = array(
"en"=>"en_US",
"fr"=>"fr_FR",
"de"=>"de_DE",
"it"=>"it_IT",
"es"=>"es_LA"
); 

$ARR_FBLIKE_LAYOUT = array(
"standard"=>"standard",
"button_count"=>"button_count",
"box_count"=>"box_count"
);

$ARR_FBLIKE_SHOWFACES = array
(
'yes'=>'yes',
'no'=>'no'
);
$ARR_FBLIKE_ACTION = array
(
'like'=>'like',
'recommend'=>'recommend'
);
$ARR_FBLIKE_COLORSCHEME = array
(
'light'=>'light',
'dark'=>'dark'
);

$ARR_FBLIKE_FONTS = array
(
'arial'=>'arial',
'lucida grande'=>'lucida grande',
'segoe ui'=>'segoe ui',
'tahoma'=>'tahoma',
'trebuchet ms'=>'trebuchet ms',
'verdana' =>'verdana' 
);

$PROMPT = "";

// Install the Plugin.
register_activation_hook(__FILE__,'fbtraf_jack_install');

// Code for deinstallating the plugin
register_deactivation_hook(__FILE__,'fbtraf_jack_uninstall');

//Admin Menu Settings
add_action('admin_menu','fbtraf_jack_settings_init');

// Load Latest JQuery Files and FaceBook Connect API files in front end. This will also prevent possible jQuery conflicts
add_action('init', 'fbtraf_jack_init_Front');

/* Removing the init cookie check as it has been moved to page/post wise setting - 6/22/2011
//add_action('init','fbtraf_jack_popup_cookie_check',1);
*/
add_action('init','fbtraf_jack_popup_cookie_check',1);
//Create Footer Code for popup in Front End
add_action('wp_print_footer_scripts', 'fptraf_jack_popup_footer_script',10);
add_action('wp_footer','fbtraf_jack_footer_code');
add_action('wp_head', 'fbtraf_jack_header_code');



function fbtraf_jack_install()
{
	//Installs some of the options needed to run the plugin
	global $fbtraffic_jack_version;
	$pluginOptions = get_option('fbtraf_jack_option');
	
	if(isset($pluginOptions['install']) && $pluginOptions['version']==$fbtraffic_jack_version)
	{
		//For future use to upgrade the plugin with options if needed
		
	}
	else
	{
		//Add default options to the WP options table to save settings for the plugins.
		$options = array();
		
		if(strlen($pluginOptions['install']))
		{
			$options['install'] = $pluginOptions['install'];
		}
		else
		{
			
			$options['install'] = 1;
		}


		if(strlen($pluginOptions['version']))
		{
			$options['version'] = $pluginOptions['version'];
		}
		else
		{
			
			$options['version'] = 1;
		}

		$options['version'] = "$fbtraffic_jack_version";

		if(strlen($pluginOptions['popup_mode']))
		{
			$options['popup_mode'] = $pluginOptions['popup_mode'];
		}
		else
		{
			
			$options['popup_mode'] = 'enabled';
		}


		if(strlen($pluginOptions['title']))
		{
			$options['title'] = $pluginOptions['title'];
		}
		else
		{
			
			$options['title'] = '';
		}


		if(strlen($pluginOptions['message']))
		{
			$options['message'] = $pluginOptions['message'];
		}
		else
		{
			
			$options['message'] = '';
		}


		if(strlen($pluginOptions['url']))
		{
			$options['url'] = $pluginOptions['url'];
		}
		else
		{
			
			$options['url'] = '';
		}


		if(strlen($pluginOptions['popup_overlay']))
		{
			$options['popup_overlay'] = $pluginOptions['popup_overlay'];
		}
		else
		{
			
			$options['popup_overlay'] = '#000';
		}


		if(strlen($pluginOptions['popup_close']))
		{
			$options['popup_close'] = $pluginOptions['popup_close'];
		}
		else
		{
			
			$options['popup_close'] = 'on';
		}


		if(strlen($pluginOptions['popup_default_style']))
		{
			$options['popup_default_style'] = $pluginOptions['popup_default_style'];
		}
		else
		{
			
			$options['popup_default_style'] = 'on';
		}


		if(strlen($pluginOptions['popup_delay']))
		{
			$options['popup_delay'] = $pluginOptions['popup_delay'];
		}
		else
		{
			
			$options['popup_delay'] = '1000';
		}


		if(strlen($pluginOptions['popup_vertical']))
		{
			$options['popup_vertical'] = $pluginOptions['popup_vertical'];
		}
		else
		{
			
			$options['popup_vertical'] = '100';
		}


		if(strlen($pluginOptions['popup_cookie']))
		{
			$options['popup_cookie'] = $pluginOptions['popup_cookie'];
		}
		else
		{
			
			$options['popup_cookie'] = 'on';
		}


		if(strlen($pluginOptions['cookie_expires_like']))
		{
			$options['cookie_expires_like'] = $pluginOptions['cookie_expires_like'];
		}
		else
		{
			
			$options['cookie_expires_like'] = 2592000;
		}


		if(strlen($pluginOptions['popup_expires']))
		{
			$options['popup_expires'] = $pluginOptions['popup_expires'];
		}
		else
		{
			
			$options['popup_expires'] = '3600';
		}


		if(strlen($pluginOptions['popup_background']))
		{
			$options['popup_background'] = $pluginOptions['popup_background'];
		}
		else
		{
			
			$options['popup_background'] = '#fff';
		}


		if(strlen($pluginOptions['fblike_showfaces']))
		{
			$options['fblike_showfaces'] = $pluginOptions['fblike_showfaces'];
		}
		else
		{
			
			$options['fblike_showfaces'] = 'yes';
		}


		if(strlen($pluginOptions['fblike_width']))
		{
			$options['fblike_width'] = $pluginOptions['fblike_width'];
		}
		else
		{
			
			$options['fblike_width'] = '450';
		}


		if(strlen($pluginOptions['fblike_action']))
		{
			$options['fblike_action'] = $pluginOptions['fblike_action'];
		}
		else
		{
			
			$options['fblike_action'] = 'like';
		}


		if(strlen($pluginOptions['fblike_font']))
		{
			$options['fblike_font'] = $pluginOptions['fblike_font'];
		}
		else
		{
			
			$options['fblike_font'] = 'arial';
		}


		if(strlen($pluginOptions['fblike_colorscheme']))
		{
			$options['fblike_colorscheme'] = $pluginOptions['fblike_colorscheme'];
		}
		else
		{
			
			$options['fblike_colorscheme'] = 'light';
		}


		if(strlen($pluginOptions['fblike_layout']))
		{
			$options['fblike_layout'] = $pluginOptions['fblike_layout'];
		}
		else
		{
			
			$options['fblike_layout'] = 'standard';
		}


		if(strlen($pluginOptions['popup_lang']))
		{
			$options['popup_lang'] = $pluginOptions['popup_lang'];
		}
		else
		{
			
			$options['popup_lang'] = 'en';
		}


		if(strlen($pluginOptions['popup_autoclose']))
		{
			$options['popup_autoclose'] = $pluginOptions['popup_autoclose'];
		}
		else
		{
			
			$options['popup_autoclose'] = 45;
		}


		if(strlen($pluginOptions['popup_use_timer']))
		{
			$options['popup_use_timer'] = $pluginOptions['popup_use_timer'];
		}
		else
		{
			
			$options['popup_use_timer'] = 'on';
		}
		/*
		$options['install']=1;
		$options['version']=$fbtraffic_jack_version;
		$options['popup_mode'] = 'enabled';
		$options['title'] = '';
		$options['message'] = '';
		$options['url'] = '';
		$options['popup_overlay'] = '#000';
		$options['popup_close'] = 'on';
		$options['popup_default_style'] = 'on';
		$options['popup_delay']= '1000';
		$options['popup_vertical']= 100;
		$options['popup_cookie']= 'on';
		$options['cookie_expires_like']= 3600 * 24 * 30 * 1;
		$options['popup_expires']= '3600';
		$options['popup_background'] = '#fff';
		$options['fblike_showfaces']='yes';
		$options['fblike_width']='450';
		$options['fblike_action']='like';
		$options['fblike_font']='arial';
		$options['fblike_colorscheme']='light';
		$options['fblike_layout']='standard';
		$options['popup_lang']='en';
		$options['popup_autoclose']=45;
		$options['popup_use_timer']='on';
		*/
		$xxxx = update_option('fbtraf_jack_option', $options); 

		
	}
}

function fbtraf_jack_uninstall()
{
	//De Installs some of the options needed to run the plugin
	//delete_option('fbtraf_jack_option');
	
}

function fptraf_jack_popup_footer_script()
{
	
	if(!is_admin())
	{
		if(!$_COOKIE['fbtraf_jack_cookie_like'] && !$_COOKIE['fbtraf_jack_popup_seen'])
		{
		?>
		
		<script type="text/javascript" src="<?php echo FBTJ_WPATH_JS; ?>fbtraf_jack_js_front.js">
		<!--
			
		//-->
		</script>
		<?php
		}
	}
}

function fbtraf_jack_header_code()
{
	global $ARR_LANG_FB;
	$option = get_option('fbtraf_jack_option');
	$expiry_popup = intval($option['popup_expires']);
	$expiry_like = intval($option['cookie_expires_like']);
	$op_lang = $ARR_LANG_FB[$option['popup_lang']];
	$url = trim($option['url']);
	?>
	<script type="text/javascript">
		<!--
			var fbtraf_jack_randno = <?php echo rand(1,9999) * rand(5,9999);  ?>;
		//-->
	</script>
	<?php
	if(!$_COOKIE['fbtraf_jack_cookie_like'] && !$_COOKIE['fbtraf_jack_popup_seen'])
	{
	?>
		
		<script type="text/javascript">
		<!--
			var fbtraf_jack_expiry_popup = <?php echo $expiry_popup; ?>;
			var fbtraf_jack_expiry_like = <?php echo $expiry_like; ?>;
			var fbtraf_jack_fb_lang = '<?php echo $op_lang; ?>';
			var fbtraf_jack_fb_like_url = '<?php echo $url; ?>';
			
		//-->
		</script>
		<script type="text/javascript" src="<?php echo FBTJ_WPATH_JS; ?>jquery.simplemodal.1.4.1.min.js">
		<!--
			
		//-->
		</script>
		<?php
	}
		
}

function fbtraf_jack_init_Front() {
	
	// since the front is where we need the functionality, we check not to include the files in admin section
	session_start();
	//
	if (!is_admin()) {

		// Deregistering the facebook and jquery which already may be included earlier by other plugins or such
		$option = get_option('fbtraf_jack_option');
		$expiry_popup = intval($option['popup_expires']);
		$expiry_like = intval($option['cookie_expires_like']);
		
		wp_deregister_script('jquery');
		
		wp_register_style('fbtraf_jack_style', FBTJ_WPATH_CSS . 'fb-traffic-jacker.style.css'); 
		wp_enqueue_style('fbtraf_jack_style');
		// Registering latest versions of Jquery and FB SDKs 
		wp_register_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js');
		wp_register_script('fbtraf_jack_countdown', FBTJ_WPATH_JS . 'jquery.countdown.pack.js');
		
			
		// This will enque the script for inclusion in the front end.
		wp_enqueue_script('jquery');
		
		wp_enqueue_script('fbtraf_jack_countdown');
		//wp_enqueue_script('fbtraf_jack_popup');
		

	}
	/* en_US */
	fbtraf_jack_save_admin_options();
	$option = get_option('fbtraf_jack_option');
	
	if(isset($option['install']) && $option['install']==1)
	{
		
		if($option['popup_lang']=="en")
		{
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1');
			
			
		}
		elseif($option['popup_lang']=="de")
		{
			/* de_DE - German */
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/de_DE/all.js#xfbml=1');
			
			
		}
		elseif($option['popup_lang']=="es")
		{
			/* es_LA - Spanish  */
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/es_LA/all.js#xfbml=1');
			
			
		}
		elseif($option['popup_lang']=="fr")
		{
			/* en_US - French*/
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/fr_FR/all.js#xfbml=1');
			
			
		}
		elseif($option['popup_lang']=="it")
		{
			/* it_IT - Italian*/
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/it_IT/all.js#xfbml=1');
			
			
		}
		else
		{
			wp_deregister_script('fbsdk');
			wp_register_script('fbsdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1');
			
		}
		wp_enqueue_script('fbsdk');
	}
	else
	{
		wp_deregister_script('fbsdk');
		wp_register_script('fbsdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1');
		wp_enqueue_script('fbsdk');
		
	}
	if(is_admin())
	{
		//JS for admin
		wp_register_script('fbtraf_jack_js_admin', FBTJ_WPATH_JS . 'fbtraf_jack_js_admin.js');
		wp_enqueue_script('fbtraf_jack_js_admin');
	}
	

}




/* Checks the cookie to see if they have already liked the page/URL */
/* Also checks the query whether the timer has elapsed since last pop up */
/* If like cookie is found and timer cookie has expired then the popup will not show*/
function fbtraf_jack_popup_cookie_check($toset=0)
{
	//1 - Popup Needs to be shown after settings the cookie. Cookie Settings overrides this. If switched off. Popup will be shown everytime
	// or if the like button is clicked it will not been shown
	//2 If the POPUP seen cookie is set. WE do not show the popup till it expires.
	//3 The like button has been clicked. We would not show the popup till that cookie has expired.
	if(!is_admin())
	{
		$fbtraf_jack_cookie_like = false;
		$fbtraf_jack_cookie_popup_seen = false;
		//mail("kunal@tridev.sk.com","a", "a");
		$options = get_option('fbtraf_jack_option');
		$expiry_popup = intval($options['popup_expires']);
		$expiry_like = intval($options['cookie_expires_like']);
		$cookie = $options['popup_cookie'];
		

		if(isset($_COOKIE['fbtraf_jack_cookie_like']))
		{
			$fbtraf_jack_cookie_like = true;
			
			
		}
		else
		{	
			$fbtraf_jack_cookie_like = false;
		}
		
		if(!$fbtraf_jack_cookie_like)
		{
			
			if($cookie == 'on') 
			{
				if(isset($_COOKIE['fbtraf_jack_popup_seen'])) 
				{
					
					$fbtraf_jack_cookie_popup_seen = 1;
					if($_COOKIE['fbtraf_jack_popup_seen']==200)
					{
						return 1;
					}
					else
					{
						return 2; //POPUP Seen
					}
				} 
				else 
				{
					//WE set the Cookie for expiry value Return 1 so that the popup code can be deployed
					$fbtraf_jack_cookie_popup_seen = false;
					$expire = (time()+$expiry_popup);
					
					if($toset==0) //6/22/2011 - Changed to 1 from 0 as now the function is called post wise and not on init.
					{
						header('P3P:CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"');
						setcookie("fbtraf_jack_popup_seen", 200, $expire,"/" );
					}
					return 1;
				}
				
			}
			else
			{
				unset($_COOKIE['fbtraf_jack_popup_seen']);
				
				return 1;
			}
		}
		else
		{
			
			return 3; //Like has been clicked
		}
	}
}


function fbtraf_jack_settings_init()
{
	add_submenu_page( 'options-general.php', 'FBTrafficJacker', 'FBTrafficJacker', 'manage_options', 'facebook_traffic_jacker_settings', 'fbtraf_jack_settings_page' );
}

function fbtraf_jack_settings_page()
{
	global $ARR_FBLIKE_LAYOUT, $ARR_FBLIKE_SHOWFACES,$ARR_FBLIKE_ACTION,$ARR_FBLIKE_COLORSCHEME,$ARR_FBLIKE_FONTS;
	global $ARR_LANG, $ARR_LANG_WAIT,$ARR_LANG_CLOSEBUTTON,$ARR_LANG_SECONDS;

	$options = get_option('fbtraf_jack_option');

	if(!$options) {
	$options['popup_mode'] = 'enabled';
	
	$options['title'] = '';
	$options['message'] = '';
	$options['url'] = '';
	$options['popup_overlay'] = '#000';
	$options['popup_close'] = 'on';
	$options['popup_default_style'] = 'on';
	$options['popup_delay']= '1000';
	$options['popup_vertical']= 100;
	$options['popup_cookie']= 'on';
	$options['cookie_expires_like']= 3600 * 24 * 30 * 1;
	$options['popup_expires']= '3600';
	$options['popup_background'] = '#fff';
	$options['fblike_showfaces']='yes';
	$options['fblike_width']='450';
	$options['fblike_action']='like';
	$options['fblike_font']='arial';
	$options['fblike_colorscheme']='light';
	$options['fblike_layout']='standard';
	$options['popup_lang']='en';
	$options['popup_autoclose']=45;
	$options['popup_use_timer']='on';
	}
	include('options-page.php');
}

function fbtraf_jack_save_admin_options()
{
	global $PROMPT, $fbtraffic_jack_version;
	if(isset($_POST['fbtraf_jack_save_submit']) || (isset($_POST['fbtraf_jack_save_submit_hidden']) && $_POST['fbtraf_jack_save_submit_hidden']==1))
	{
		if(!wp_verify_nonce($_POST['fbtraf_jack_save_nonce'], 'fbtraf_jack_nonce'))
		{
			
			die("Possible Break In attempt. Die Hackers!");
		}
		else
		{
			$options = array();
			$options['install']=1;
			$options['version']="$fbtraffic_jack_version";
			$options['popup_mode'] = $_POST['popup_mode'];
			$options['title'] = trim($_POST['title']);
			$options['message'] = trim($_POST['message']);
			$options['url'] = trim($_POST['url']);
			$options['popup_overlay'] = trim($_POST['popup_overlay']);
			if(!isset($_POST['popup_close']))
				$options['popup_close'] = 'off';
			else
				$options['popup_close'] = 'on';
			if(!isset($_POST['popup_use_timer']))
				$options['popup_use_timer'] = 'off';
			else
				$options['popup_use_timer'] = 'on';
			
			$options['popup_default_style'] = 'on';

			$options['popup_delay']= trim($_POST['popup_delay']);
			$options['popup_vertical']=  trim($_POST['popup_vertical']);
			if(!isset($_POST['popup_cookie']))
				$options['popup_cookie'] = 'off';
			else
				$options['popup_cookie'] = 'on';
			
			$options['cookie_expires_like']= 3600 * 24 * 30 * 1;
			$options['popup_expires']=  trim($_POST['popup_expires']);
			$options['popup_background'] = trim($_POST['popup_background']);
			$options['fblike_showfaces']=trim($_POST['fblike_showfaces']);
			$options['fblike_width']='450';
			$options['fblike_action']=trim($_POST['fblike_action']);
			$options['fblike_font']=trim($_POST['fblike_font']);
			$options['fblike_colorscheme']=trim($_POST['fblike_colorscheme']);
			$options['fblike_layout']=trim($_POST['fblike_layout']);
			$options['popup_lang']=trim($_POST['popup_lang']);
			$options['popup_autoclose']=trim($_POST['popup_autoclose']);
			update_option('fbtraf_jack_option', $options);
			$PROMPT = "Options Saved";
		}
	}
}

/**
**
** Adds a div to the wp_footer hook to hold the popup content
**
**/

function fbtraf_jack_footer_code()
{
	global $ARR_LANG, $ARR_LANG_WAIT,$ARR_LANG_CLOSEBUTTON,$ARR_LANG_SECONDS, $post;
	$TEMPLATE = file_get_contents(FBTJ_POPUP_TEMPLATE_FILE);
	$temp="";
	if(is_singular()) //Check if the post is a page or a post
	{
		$options_meta = get_post_meta($post->ID, 'fbtraf_jack_meta', true);

		if (is_array($options_meta)) {
			$options_meta['enabled']           = isset($options_meta['enabled'])           ?  (bool)$options_meta['enabled']          : false;	 
			$options_meta['enabled_permalink']           = isset($options_meta['enabled_permalink'])           ?  (bool)$options_meta['enabled_permalink']          : false;	 
		} else {
			
			$options_meta['enabled'] = false;
			$options_meta['enabled_permalink'] = false;
		
		}
	
		$POPUP_URL_PERMALINK  = '';
		if($options_meta['enabled_permalink']==true)
		{
			$POPUP_URL_PERMALINK = get_permalink($post->ID);
		}
		if($options_meta['enabled']==true) //Check if the meta options is there for the FB Traf to kick in.
		{
			
			$options = get_option('fbtraf_jack_option');
			if($options['popup_mode']=="enabled")
			{

				$popup_status = fbtraf_jack_popup_cookie_check(1);

				if($popup_status==1)
				{	
				
					//Check if the popup has been seen and the cookie is On.
					//$POPUP_CLOSE = "<div class=\"fbtraf_jack_popup_close\"></div>";
					$POPUP_CLOSE = "<a href='#' class=\"fbtraf_jack_popup_close\"></a>";
					$POPUP_TITLE = stripslashes($options['title']);
					$POPUP_MESSAGE = stripslashes($options['message']);
					$POPUP_BACKGROUND = $options['popup_background'];
					$POPUP_URL = $options['url'];
					//print $POPUP_OVERLAY = $options['popup_overlay'];
					$POPUP_OVERLAY = $options['popup_overlay'];
					/* Replacing the POPUP URL with the PERMALINK if option selected.*/
					if(strlen($POPUP_URL_PERMALINK)>0)
					{
						$POPUP_URL = $POPUP_URL_PERMALINK;
					}
					
					if(!isset($options['popup_lang']))
					{
						$POPUP_LANG = 'en';
					}
					else
					{
						$POPUP_LANG = $options['popup_lang'];
					}
					$POPUP_LANG_WAIT = $ARR_LANG_WAIT[$POPUP_LANG];
					$POPUP_LANG_SECONDS = $ARR_LANG_SECONDS[$POPUP_LANG];

					$TIMER_PLACEHOLDER = '<div id="fbtraf_jack_popup_counter">'.$POPUP_LANG_WAIT.' <span id="counter"></span> &nbsp;'.$POPUP_LANG_SECONDS.'</div>';
					
					if(isset($options['popup_use_timer']) && $options['popup_use_timer']=='on')
					{
						if(isset($options['popup_autoclose']) && $options['popup_autoclose']>10)
						{
							$POPUP_AUTOCLOSE = $options['popup_autoclose'];
						}
						else
						{
							$POPUP_AUTOCLOSE = 10;
						}
					}
					else
					{
						$TIMER_PLACEHOLDER = '';
					}


					if($options['popup_close']=='off')
						$POPUP_CLOSE = "";
					$POPUP_FBLIKE_CODE = "<fb:like href=\"$POPUP_URL\" ";
					if($options['fblike_showfaces']=='yes')
						$POPUP_FBLIKE_CODE .= " show_faces=\"true\" ";
					else
						$POPUP_FBLIKE_CODE .= " show_faces=\"false\" ";
					$POPUP_FBLIKE_CODE .= " action=\"".$options['fblike_action']."\" ";
					$POPUP_FBLIKE_CODE .= " layout=\"".$options['fblike_layout']."\" ";
					$POPUP_FBLIKE_CODE .= " font=\"".$options['fblike_font']."\" ";
					$POPUP_FBLIKE_CODE .= " colorscheme=\"".$options['fblike_colorscheme']."\" ";
					$POPUP_FBLIKE_CODE .= ' width=\"550\"></fb:like>';
					$temp = str_replace('##POPUP_BACKGROUND##',$POPUP_BACKGROUND,$TEMPLATE);
					$temp = str_replace('##POPUP_CLOSE##',$POPUP_CLOSE,$temp);
					$temp = str_replace('##POPUP_TITLE##',$POPUP_TITLE,$temp);
					$temp = str_replace('##POPUP_MESSAGE##',$POPUP_MESSAGE,$temp);
					$temp = str_replace('##POPUP_FBLIKE_CODE##',$POPUP_FBLIKE_CODE,$temp);
					$temp = str_replace('##POPUP_AUTOCLOSE##',$POPUP_AUTOCLOSE,$temp);
					$temp = str_replace('##POPUP_LANG_WAIT##',$POPUP_LANG_WAIT,$temp);
					$temp = str_replace('##POPUP_LANG_SECONDS##',$POPUP_LANG_SECONDS,$temp);
					$temp = str_replace('##POPUP_AUTO_CLOSE##',intval($POPUP_AUTOCLOSE),$temp);
					$temp = str_replace('##TIMER_PLACEHOLDER##',$TIMER_PLACEHOLDER,$temp);

					$array = array();
					$delay = intval($options['popup_delay'])*1000;
					
					$popup_setup_array = array(
						'autoPosition'=> true,
						'opacity'=>85,	
						'overlayId'=>array('fbtraf_jack_popup_overlay', 'string'),	
						'overlayCss'=> "{backgroundColor: '$POPUP_OVERLAY'}", 
						'minHeight'=>400, 		
						'minWidth'=>450, 
						'autoResize'=> true, 
						'position'=>"['30%','']", 
						'close'=>false,
						'onShow'=>'fbtraf_jack_createCounter',
						'onOpen'=>'fbtraf_jack_dialog_open',
						'counterDelay'=>intval($POPUP_AUTOCLOSE),
						'delay'=>intval($delay)
					
						);
						if($options['popup_close']=='on')
						{
							$popup_setup_array['closeClass'] = array('fbtraf_jack_popup_close','string');
							
						}

					
					$json_str = '{';
					foreach($popup_setup_array as $key=>$val)
					{
						if(is_bool($val) && $val==true)
						{
							$temp1 = $key  . ": " . "true" . ",";
							
						}
						elseif(is_bool($val) && $val==false)
						{
							$temp1 = $key  . ": " . "false" . ",";
							
						}
						else
						{
							if(is_array($val))
							{
								$x1 = $val[0];
								$x2 = $val[1];
								$temp1 = $key  . ": '" . $x1. "',";
							}
							else
							{
								$temp1 = $key  . ": " . $val . ",";
							}
						}
						$json_str.=$temp1;
					}
					$json_str  =rtrim($json_str, ",");
					$json_str .= '}';
					$temp = str_replace('##POPUP_JSON_ARRAY##',$json_str,$temp);
				}
			}
			_e($temp);
		}
	}
}
add_action('plugins_loaded','fbtraf_jack_action_plugins_loaded');
	

	function fbtraf_jack_action_plugins_loaded() {
		if (is_admin()) {
			require_once(ABSPATH . 'wp-admin/includes/template.php'); // Needed for add_meta_box()
			add_meta_box('fbtraf_jack_section', 'FB Traffic Jacker', 'fbtraf_jack_meta_box_post', 'post', 'normal', 'high');
			add_meta_box('fbtraf_jack_section', 'FB Traffic Jacker', 'fbtraf_jack_meta_box_post', 'page', 'normal', 'high');
			add_action('save_post', 'fbtraf_jack_action_save_post', 1, 2);
		} 
		
	}

	function fbtraf_jack_action_save_post($post_id, $post)
	{
			if ($post->post_type != 'revision') {
			$options = array();
			$options['enabled']           = isset($_POST['enable_fbtraf_jack']) && ($_POST['enable_fbtraf_jack'] == '1');
			$options['enabled_permalink']           = isset($_POST['enable_fbtraf_jack_permalink']) && ($_POST['enable_fbtraf_jack_permalink'] == '1');
			
			if (!update_post_meta($post->ID, 'fbtraf_jack_meta', $options)) {
				add_post_meta($post->ID, 'fbtraf_jack_meta', $options); 
			}
		} 
	}

	function fbtraf_jack_meta_box_post()
	{

		global $post;
		$options = get_post_meta($post->ID, 'fbtraf_jack_meta', true);

		if (is_array($options)) {
			$options['enabled']           = isset($options['enabled'])           ?  (bool)$options['enabled']          : false;	 
			$options['enabled_permalink']           = isset($options['enabled_permalink'])           ?  (bool)$options['enabled_permalink']          : false;	 
			
		} else {
			
			$options['enabled'] = false;
			$options['enabled_permalink'] = false;
			
		}	
		
		$url = get_bloginfo('wpurl') . '/' .  PLUGINDIR . '/' . dirname(plugin_basename(__FILE__));
		?>

		<table border="0" width="100%">
  <tr>
    <td colspan="2">To use this plugin on this page you must enable it explicitly on this post/page.</td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2"><input type="checkbox" name="enable_fbtraf_jack" value="1" <?php if ($options['enabled']) { echo('checked="checked"'); } ?> /> <label for="enable_fbtraf_jack">Enable the FB Traffic Jacker Popup for this page/post.</label></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
    <tr>
    <td colspan="2"><input type="checkbox" name="enable_fbtraf_jack_permalink" value="1" <?php if ($options['enabled_permalink']) { echo('checked="checked"'); } ?> /> <label for="enable_fbtraf_jack_permalink">Override default plugin Like URL and use the permalink as the LIKE URL</label></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
</table>
		<?php

	}

?>